Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class OnOffResponseWriter

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              javax.faces.context.ResponseWriterWrapper
                  org.richfaces.context.OnOffResponseWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>

    public class OnOffResponseWriter

extends javax.faces.context.ResponseWriterWrapper

Author:
  Nick Belaevski

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`OnOffResponseWriter(javax.faces.context.ResponseWriter wrappedWriter)`

Method Summary
`javax.faces.context.ResponseWriter` | `getWrapped()`
`boolean` | `isSwitchedOn()`
`void` | `setSwitchedOn(boolean newState)`

Methods inherited from class javax.faces.context.ResponseWriterWrapper
`cloneWithWriter, close, endCDATA, endDocument, endElement, flush, getCharacterEncoding, getContentType, startCDATA, startDocument, startElement, write, writeAttribute, writeComment, writeText, writeText, writeText, writeURIAttribute`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnOffResponseWriter

    public OnOffResponseWriter(javax.faces.context.ResponseWriter wrappedWriter)

Method Detail

### getWrapped

    public javax.faces.context.ResponseWriter getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>`
  Overrides:
    `getWrapped` in class `javax.faces.context.ResponseWriterWrapper`

### setSwitchedOn

    public void setSwitchedOn(boolean newState)

### isSwitchedOn

    public boolean isSwitchedOn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.